Thanks for this, I have been trying to downgrade my php version from 5.4 to 5.3 on a vagrant box and a bunch of commands kept failing that referred to config files in php5/mods-available. Glad to see it's because the dir doesn't exist for 5.3 and not something I was doing wrong :)